
package de.ivu.elect.business.statistik.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.statistik.entity.StatistikLauf;
import de.ivu.elect.business.statistik.boundary.StatistikLaufDAO;
import de.ivu.elect.business.statistik.boundary.StatistikLaufCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractStatistikLaufCreate {

  @Inject
  protected StatistikLaufDAO dao;

    @Inject
    transient Event<StatistikLaufCreateEvent> createEvent;



  


public void save(StatistikLauf entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(StatistikLauf entity) {
        createEvent.fire(new StatistikLaufCreateEvent(entity));
  }

}
